export default Cube;
declare class Cube extends Mesh {
    geometry: BoxGeometry;
    material: MeshStandardMaterial;
    setScale({ x }: {
        x: any;
    }): void;
    applyQuaternion(quaternion: import("three").Quaternion): Cube;
    rotateOnAxis(axis: import("three").Vector3, angle: number): Cube;
    rotateOnWorldAxis(axis: import("three").Vector3, angle: number): Cube;
    rotateX(angle: number): Cube;
    rotateY(angle: number): Cube;
    rotateZ(angle: number): Cube;
    translateOnAxis(axis: import("three").Vector3, distance: number): Cube;
    translateX(distance: number): Cube;
    translateY(distance: number): Cube;
    translateZ(distance: number): Cube;
    add(...object: import("three").Object3D[]): Cube;
    remove(...object: import("three").Object3D[]): Cube;
    attach(object: import("three").Object3D): Cube;
    clone(recursive?: boolean | undefined): Cube;
    copy(source: Cube, recursive?: boolean | undefined): Cube;
}
import Mesh from "./Mesh";
import { BoxGeometry } from "three/src/geometries/BoxGeometry";
import { MeshStandardMaterial } from "three/src/materials/MeshStandardMaterial";
